
Ruby - Bug #824

st.h requires stdlib.h

12/05/2008 08:25 AM - felipec (Felipe Contreras)

Status: Closed   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version:    

ruby -v:  Backport:  

Description

=begin

st.h is using size_t which is defined in stdlib.h.

Compilation fails when using st.h directly. That happens in libxml-ruby for example.

=end

History

#1 - 12/05/2008 08:30 AM - felipec (Felipe Contreras)

=begin

Another option is to use stddef.h.

=end

#2 - 12/05/2008 08:50 AM - cfis (Charlie Savage)

=begin

Hi Felipe,

An aside, but libxml-ruby shouldn't be using st.h anymore (it did for a release but I took it out).  Will check the header files to make sure.

FYI - the code that I did have in failed on 64bit machines, most likely because of this incorrect typecase.  I can dig up the code if needed, its in the svn

repository for libxml-ruby.

=end

#3 - 12/05/2008 09:16 PM - ko1 (Koichi Sasada)

- Assignee set to nobu (Nobuyoshi Nakada)

=begin

=end

#4 - 12/11/2008 11:17 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

- % Done changed from 0 to 100

=begin

Applied in changeset r20622.

=end
